Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/products/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/products/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/products/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "a13651d4-960e-4916-9874-c910c74f7b16",
"slug": "neque-rem-voluptates-voluptatibus-praesentium",
"enabled": true,
"is_cart_enabled": true,
"is_stock_enabled": true
},
{
"uuid": "a13651d4-9756-45bb-86ed-4052fb0e2fe8",
"slug": "itaque-totam-voluptates-occaecati-autem-eum",
"enabled": true,
"is_cart_enabled": true,
"is_stock_enabled": true
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}Returns a list of Product Categories.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
Filter by product category slugs (comma-separated)
"feature,default"
Show child attributes
[ { "uuid": "a13651d4-960e-4916-9874-c910c74f7b16", "slug": "neque-rem-voluptates-voluptatibus-praesentium", "enabled": true, "is_cart_enabled": true, "is_stock_enabled": true }, { "uuid": "a13651d4-9756-45bb-86ed-4052fb0e2fe8", "slug": "itaque-totam-voluptates-occaecati-autem-eum", "enabled": true, "is_cart_enabled": true, "is_stock_enabled": true } ]
Show child attributes